> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revolv3.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customers

> Retrieves a **list of customers** associated with your merchant account.
You can search for a specific customer using filters such as **Merchant Customer Ref ID**, **first name**, or **last name**.

The response includes key details for each matching customer — such as first name, last name, customer ID, and Merchant Customer Ref ID.
This endpoint is commonly used for listing customers in internal tools, verifying account existence, or syncing customer records with your system.



## OpenAPI

````yaml /api-reference/swagger.json get /api/Customers
openapi: 3.0.4
info:
  title: Revolv3 OpenApi Spec
  description: Spec for Revolv3
  version: 1.29.1
servers:
  - url: 'https://api-sandbox.revolv3.com '
security: []
paths:
  /api/Customers:
    get:
      tags:
        - Customers
      summary: Get Customers
      description: "Retrieves a **list of customers** associated with your merchant account.\r\nYou can search for a specific customer using filters such as **Merchant Customer Ref ID**, **first name**, or **last name**.\r\n\r\nThe response includes key details for each matching customer — such as first name, last name, customer ID, and Merchant Customer Ref ID.\r\nThis endpoint is commonly used for listing customers in internal tools, verifying account existence, or syncing customer records with your system."
      parameters:
        - name: merchantCustomerRefId
          in: query
          schema:
            maxLength: 100
            minLength: 0
            type: string
        - name: firstName
          in: query
          schema:
            maxLength: 150
            minLength: 0
            type: string
        - name: lastName
          in: query
          schema:
            maxLength: 150
            minLength: 0
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetCustomersQueryResultDTO'
              example:
                - customerId: 1
                  merchantCustomerRefId: 1234-5678-9101
                  firstName: John
                  lastName: Doe
                - customerId: 2
                  merchantCustomerRefId: 5678-1234-9101
                  firstName: Jane
                  lastName: Doe
                - customerId: 3
                  merchantCustomerRefId: 9101-5678-1234
                  firstName: Jeremy
                  lastName: Doe
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetCustomersQueryResultDTO'
              example:
                - customerId: 1
                  merchantCustomerRefId: 1234-5678-9101
                  firstName: John
                  lastName: Doe
                - customerId: 2
                  merchantCustomerRefId: 5678-1234-9101
                  firstName: Jane
                  lastName: Doe
                - customerId: 3
                  merchantCustomerRefId: 9101-5678-1234
                  firstName: Jeremy
                  lastName: Doe
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetCustomersQueryResultDTO'
              example:
                - customerId: 1
                  merchantCustomerRefId: 1234-5678-9101
                  firstName: John
                  lastName: Doe
                - customerId: 2
                  merchantCustomerRefId: 5678-1234-9101
                  firstName: Jane
                  lastName: Doe
                - customerId: 3
                  merchantCustomerRefId: 9101-5678-1234
                  firstName: Jeremy
                  lastName: Doe
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Attempted to perform an unauthorized operation.
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Attempted to perform an unauthorized operation.
            text/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Attempted to perform an unauthorized operation.
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to find an entity with the provided data.
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to find an entity with the provided data.
            text/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to find an entity with the provided data.
      security:
        - Bearer: []
components:
  schemas:
    GetCustomersQueryResultDTO:
      type: object
      properties:
        customerId:
          maximum: 1000000000
          minimum: 1
          type: integer
          format: int64
        merchantCustomerRefId:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        firstName:
          maxLength: 150
          minLength: 0
          type: string
          nullable: true
        lastName:
          maxLength: 150
          minLength: 0
          type: string
          nullable: true
      additionalProperties: false
    StatusMessageResponse:
      type: object
      properties:
        message:
          type: string
          nullable: true
        errors:
          type: array
          items:
            type: string
          nullable: true
        fluentValidatorErrors:
          type: array
          items:
            $ref: '#/components/schemas/ValidationFailure'
          nullable: true
      additionalProperties: false
    ValidationFailure:
      type: object
      properties:
        propertyName:
          type: string
          nullable: true
        errorMessage:
          type: string
          nullable: true
        attemptedValue:
          nullable: true
        customState:
          nullable: true
        severity:
          $ref: '#/components/schemas/Severity'
        errorCode:
          type: string
          nullable: true
        formattedMessagePlaceholderValues:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    Severity:
      enum:
        - Error
        - Warning
        - Info
      type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````